Bug 517872 - LUKS won't unlock
Summary: LUKS won't unlock
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 11
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-17 15:48 UTC by Andrew K. Mitchell
Modified: 2010-01-12 15:31 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-12 15:31:38 UTC


Attachments (Terms of Use)

Description Andrew K. Mitchell 2009-08-17 15:48:33 UTC
Updated my kernel to  
2.6.29.6-217.2.7.fc11.i686.PAE from 2.6.29.6-217.2.3.fc11.i686.PAE. On  
boot of the new kernel I enter my LUKS pass-phrase and it sits there.  
The line above says Padlock not found.

Comment 1 Andrew K. Mitchell 2009-08-17 19:30:38 UTC
The 2.6.29.6-217.2.7.fc11.i686.PAE output on boot is:

   padlock: VIA PadLock not detected.

   Password:

After entering password, nothing happens.

Comment 2 Andrew K. Mitchell 2009-08-20 18:21:05 UTC
FYI 2.6.29.6-217.2.3.fc11.i686.PAE same problem.

Comment 3 Andrew K. Mitchell 2009-08-21 17:37:51 UTC
mkinitrd-6.0.87-3.fc11.i586 didn't fix the issue.

Comment 4 Hans de Goede 2010-01-12 15:31:38 UTC
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.


Note You need to log in before you can comment on or make changes to this bug.